package ktgo

import (
	"log"
	"my/ktgo/pkg/storage"
)

const (
	DataDir                  = "/sdcard/DCIM"
	BlockedListFileName      = DataDir + "/blocked_list.txt.jpg"
	BlockedListFileName_case = DataDir + "/blocked_list_case.txt.jpg"
)

var (
	blockedList, blockedList_case *storage.Storage
)

func initStorage() {
	var err error

	blockedList, err = storage.NewStorage(BlockedListFileName)
	if err != nil {
		log.Fatalf("Storage: %v: %v\n", BlockedListFileName, err)
	}

	blockedList_case, err = storage.NewStorage(BlockedListFileName_case)
	if err != nil {
		log.Fatalf("Storage: %v: %v\n", BlockedListFileName, err)
	}
}

// func ensureListsExist() {
// 	os.MkdirAll(DataDir, 0755)
// 	ensureFile(BlockedListFileName)
// 	ensureFile(BlockedListFileName_case)
// }

// func ensureFile(name string) {
// 	_, err := os.Stat(name)
// 	if err == nil {
// 		return
// 	}

// 	f, err := os.OpenFile(BlockedListFileName, os.O_RDWR|os.O_CREATE, 0644)
// 	if f != nil {
// 		f.Close()
// 	}
// }
