package main

import (
	"log"
	"my/ktgo/pkg/storage"
)

const (
	DataDir                  = "/data"
	BlockedListFileName      = DataDir + "/blocked_list.txt"
	BlockedListFileName_case = DataDir + "/blocked_list_case.txt"
)

var (
	blockedList, blockedList_case *storage.Storage
)

func initStorage() {
	var err error

	blockedList, err = storage.NewStorage(BlockedListFileName)
	if err != nil {
		log.Fatalf("Storage: %v: %v\n", BlockedListFileName, err)
		return
	}

	blockedList_case, err = storage.NewStorage(BlockedListFileName_case)
	if err != nil {
		log.Fatalf("Storage: %v: %v\n", BlockedListFileName, err)
		return
	}
}
